pilot-install-user(1)

NAME
pilot-install-user - Reads or sets a Palm User and UserID on a Palm Device.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-user [-p|--port <port>] [--version] [-?|--help] [--usage] [-q|--quiet] [-u|--user username] [-i|--id userid] [-l|--list]

DESCRIPTION

 pilot-install-user allows the user to read or change the User and UserID information on the Palm handheld.

OPTIONS

  pilot-install-user options
                        -u,
                        --user username

Set the username, use quotes for spaces in the username, as in "John Q. Public".
                        -i,
                        --id userid

Set the 5-digit numeric UserID on the device (used for many Palm application registration methods).
                        -l, --list

List the current username and ID (default)

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-user will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-install-user will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-install-user and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-install-user and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to a target Palm handheld, and read or set the Palm UserName specified or display the Palm username and UserID if none is specified.

AUTHOR

 pilot-install-user was originally written by D. Jeff Dionne <jeff@RyeHam.ee.ryerson.ca>.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-install-netsync (1), pilot-dlpsh (1), pilot-link(7).